TestForwardConfig (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class TestForwardConfig

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.config.TestForwardConfig

All Implemented Interfaces:
  junit.framework.Test

    public class TestForwardConfig

extends junit.framework.TestCase

Unit tests for ForwardConfig. Currently contains tests for methods supporting configuration inheritance.

Version:
  $Rev: 471754 $ $Date: 2005-05-21 19:06:53 -0400 (Sat, 21 May 2005) $

Field Summary
`protected ForwardConfig` | `actionBaseConfig` A ForwardConfig we'll use to test cases where a ForwardConfig declared for an action extends a ForwardConfig declared globally, with both ForwardConfigs using the same name.
`protected ActionConfig` | `actionConfig` An action mapping we'll use within tests.
`protected ForwardConfig` | `baseConfig` The common base we'll use.
`protected ModuleConfig` | `moduleConfig` The ModuleConfig we'll use.
`protected ForwardConfig` | `subConfig` The common subForward we'll use.

Constructor Summary
`TestForwardConfig(String name)` Construct a new instance of this test case.

Method Summary
`void` | `setUp()` Set up instance variables required by this test case.
`static junit.framework.Test` | `suite()` Return the tests included in this test suite.
`void` | `tearDown()` Tear down instance variables required by this test case.
`void` | `testCheckCircularInheritanceActionForwardExtendGlobal()` Test checkCircularInheritance() for circular inheritance between a forward declared in an action and a global forward.
`void` | `testCheckCircularInheritanceActionForwardExtendGlobalSameName()` Test checkCircularInheritance() for circular inheritance between a forward declared in an action and a global forward and both forwards have the same name.
`void` | `testCheckCircularInheritanceActionForwardsBasic()` Test checkCircularInheritance() for circular inheritance between forwards in an action.
`void` | `testCheckCircularInheritanceActionForwardsNoConflict()` Test checkCircularInheritance() for circular inheritance between forwards in an action.
`void` | `testCheckCircularInheritanceBasicGlobal()` Test checkCircularInheritance() for circular inheritance between global forwards.
`void` | `testCheckCircularInheritanceGlobal2Levels()` Test checkCircularInheritance() for circular inheritance between global forwards.
`void` | `testCheckCircularInheritanceNoConflicts()` Test checkCircularInheritance() for when there is no circular inheritance.
`void` | `testCheckCircularInheritanceNoExtends()` Make sure checkCircularInheritance() works as expected where there is no inheritance set up.
`void` | `testProcessExtendsActionExtendsActionExtendsGlobalWithSameName()` Test processExtends() where an action ForwardConfig extends another ForwardConfig, which in turn extends a global ForwardConfig with the same name.
`void` | `testProcessExtendsBasicExtension()` Test processExtends() with a basic extension.
`void` | `testProcessExtendsBasicGlobalExtension()` Test processExtends() with a basic extension between an action config and a global config.
`void` | `testProcessExtendsConfigured()` Make sure processExtends() throws an error when the config is already configured.
`void` | `testProcessExtendsGlobalExtendingAction()` Test processExtends() with an incorrect setup where a global config attempts to extend an action config.
`void` | `testProcessExtendsNoExtension()` Test processExtends() when nothing is extended.
`void` | `testProcessExtendsSameNames()` Test processExtends() with an action config that extends a global config with the same name.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### moduleConfig

    protected ModuleConfig moduleConfig

  The ModuleConfig we'll use.

### baseConfig

    protected ForwardConfig baseConfig

  The common base we'll use.

### subConfig

    protected ForwardConfig subConfig

  The common subForward we'll use.

### actionBaseConfig

    protected ForwardConfig actionBaseConfig

  A ForwardConfig we'll use to test cases where a ForwardConfig declared for an action extends a ForwardConfig declared globally, with both ForwardConfigs using the same name.

### actionConfig

    protected ActionConfig actionConfig

  An action mapping we'll use within tests.

Constructor Detail

### TestForwardConfig

    public TestForwardConfig(String name)

  Construct a new instance of this test case.

  Parameters:
    `name` - Name of the test case

Method Detail

### setUp

    public void setUp()

  Set up instance variables required by this test case.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  Return the tests included in this test suite.

### tearDown

    public void tearDown()

  Tear down instance variables required by this test case.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testCheckCircularInheritanceNoExtends

    public void testCheckCircularInheritanceNoExtends()

  Make sure checkCircularInheritance() works as expected where there is no inheritance set up.

### testCheckCircularInheritanceNoConflicts

    public void testCheckCircularInheritanceNoConflicts()

  Test checkCircularInheritance() for when there is no circular inheritance.

### testCheckCircularInheritanceBasicGlobal

    public void testCheckCircularInheritanceBasicGlobal()

  Test checkCircularInheritance() for circular inheritance between global forwards.

### testCheckCircularInheritanceGlobal2Levels

    public void testCheckCircularInheritanceGlobal2Levels()

  Test checkCircularInheritance() for circular inheritance between global forwards.

### testCheckCircularInheritanceActionForwardsNoConflict

    public void testCheckCircularInheritanceActionForwardsNoConflict()

  Test checkCircularInheritance() for circular inheritance between forwards in an action.

### testCheckCircularInheritanceActionForwardsBasic

    public void testCheckCircularInheritanceActionForwardsBasic()

  Test checkCircularInheritance() for circular inheritance between forwards in an action.

### testCheckCircularInheritanceActionForwardExtendGlobal

    public void testCheckCircularInheritanceActionForwardExtendGlobal()

  Test checkCircularInheritance() for circular inheritance between a forward declared in an action and a global forward.

### testCheckCircularInheritanceActionForwardExtendGlobalSameName

    public void testCheckCircularInheritanceActionForwardExtendGlobalSameName()

  Test checkCircularInheritance() for circular inheritance between a forward declared in an action and a global forward and both forwards have the same name.

### testProcessExtendsConfigured

    public void testProcessExtendsConfigured()
                                      throws Exception

  Make sure processExtends() throws an error when the config is already configured.

  Throws:
    `Exception`

### testProcessExtendsNoExtension

    public void testProcessExtendsNoExtension()
                                       throws Exception

  Test processExtends() when nothing is extended.

  Throws:
    `Exception`

### testProcessExtendsBasicExtension

    public void testProcessExtendsBasicExtension()
                                          throws Exception

  Test processExtends() with a basic extension.

  Throws:
    `Exception`

### testProcessExtendsBasicGlobalExtension

    public void testProcessExtendsBasicGlobalExtension()
                                                throws Exception

  Test processExtends() with a basic extension between an action config and a global config.

  Throws:
    `Exception`

### testProcessExtendsGlobalExtendingAction

    public void testProcessExtendsGlobalExtendingAction()
                                                 throws Exception

  Test processExtends() with an incorrect setup where a global config attempts to extend an action config.

  Throws:
    `Exception`

### testProcessExtendsSameNames

    public void testProcessExtendsSameNames()
                                     throws Exception

  Test processExtends() with an action config that extends a global config with the same name.

  Throws:
    `Exception`

### testProcessExtendsActionExtendsActionExtendsGlobalWithSameName

    public void testProcessExtendsActionExtendsActionExtendsGlobalWithSameName()
                                                                        throws Exception

  Test processExtends() where an action ForwardConfig extends another ForwardConfig, which in turn extends a global ForwardConfig with the same name.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.